PopcornFX v2.8

Generic selectors
Exact matches only
Search in title
Search in content
Search in posts
Search in pages
  1. Home
  2. Docs
  3. PopcornFX v2.8
  4. Plugins
  5. Unity Plugin

Unity Plugin

Availability

Since v2.0 we have been providing the plugin only with contract support to all available platform. For more information

Since 2.8.X, this new version uses Unity’s package system and is compatible with HDRP, URP and the default rendering pipeline. All rendering features available in the PopcornFX editor are not working with this plugin yet.

However we will release a free public version of the plugin. It will be experimental and only support Windows. We will not be able to provide free support this release. Be aware that this is not meant to be used in production without a specific support contract where we would be able to help you with potential issues / platform compatibility.

Overview

This section will cover how to install and use the Unity plugin for PopcornFX v2.

Plugin versions

For each PopcornFX SDK/Editor release, there is a matching Unity plugin:

When updating your PopcornFX Editor, make sure to also update the Unity plugin to match that editor version.

Unity versions

When a new Unity version comes out, we provide a plugin update.

The latest plugin currently supports: Unity 2019.X, Unity 2020.X

This plugin does

  • Ultimately implement all the PopcornFX SDK integration features
  • Use the standard pipelines of Unity for workflow, rendering etc… (if we do something wrong, please contact us!)

This plugin does not

  • Provide a way to author PopcornFX v2 effects directly inside the Unity editor. To do this, you have to use the PopcornFX v2 Editor
  • Have a relation with Unity’s classic or VFX Graph particle systems, PopcornFX is another, different particle system engine

 

Articles

Was this article helpful to you? Yes No

How can we help?